Bug 500306 - pdf2djvu requires djvulibre but the dependency is not specified
pdf2djvu requires djvulibre but the dependency is not specified
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: pdf2djvu (Show other bugs)
11
All Linux
low Severity high
: ---
: ---
Assigned To: Rakesh Pandit
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-05-12 03:46 EDT by Francesco Tapparo
Modified: 2009-08-20 16:57 EDT (History)
1 user (show)

See Also:
Fixed In Version: 0.5.0-4.fc11
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-08-04 06:15:19 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Francesco Tapparo 2009-05-12 03:46:30 EDT
Description of problem:

pdf2djvu requires /usr/bin/csepdjvu (in the djvulibre package) to work, but the dependency to this package is not present. Consequently it exits with an error.


Version-Release number of selected component (if applicable):

version 0:0.5.0-3.fc11

How reproducible:

[root@localhost ~]# rpm -q pdf2djvu djvulibre
package pdf2djvu is not installed
package djvulibre is not installed
[root@localhost ~]# yum install pdf2djvu
Loaded plugins: presto, refresh-packagekit
Setting up Install Process
Resolving Dependencies
--> Running transaction check
---> Package pdf2djvu.i586 0:0.5.0-3.fc11 set to be updated
--> Finished Dependency Resolution

Dependencies Resolved

================================================================================
 Package           Arch          Version                 Repository        Size
================================================================================
Installing:
 pdf2djvu          i586          0.5.0-3.fc11            rawhide           73 k

Transaction Summary
================================================================================
Install      1 Package(s)         
Update       0 Package(s)         
Remove       0 Package(s)         

Total download size: 73 k
Is this ok [y/N]: y
Downloading Packages:
Setting up and reading Presto delta metadata
Downloading DeltaRPMs:
Rebuilding rpms from deltarpms
pdf2djvu-0.5.0-3.fc11.i586.rpm                           |  73 kB     00:00     
Running rpm_check_debug
Running Transaction Test
Finished Transaction Test
Transaction Test Succeeded
Running Transaction
  Installing     : pdf2djvu                                                 1/1 

Installed:
  pdf2djvu.i586 0:0.5.0-3.fc11                                                  

Complete!

[root@localhost ~]# pdf2djvu ~cesco/Scrivania/vanglabbeek08.pdf -o test.djvu
/home/cesco/Scrivania/vanglabbeek08.pdf:
- page #1 -> #1
system("/usr/bin/csepdjvu ...") failed with exit code 2
[root@localhost ~]# 

Steps to Reproduce:
1. check you do not have djvulibre installed
2. install pdf2djvu
3. use it to convert a pdf file to the djvu format
  
Actual results:

pdf2djvu exits with error and the output is a 0 long file

Expected results:

the output should be the djvu conversion of the pdf file


Additional info:
Comment 1 Bug Zapper 2009-06-09 11:39:52 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Fedora Update System 2009-08-04 04:35:06 EDT
pdf2djvu-0.5.0-4.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/pdf2djvu-0.5.0-4.fc11
Comment 3 Rakesh Pandit 2009-08-04 06:15:19 EDT
Fixed now .. closing it .. in case you find problem persist please open it and ping me.

Thanks,
Comment 4 Fedora Update System 2009-08-20 16:57:07 EDT
pdf2djvu-0.5.0-4.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.